# Test and Live

### Environments

ComplyCube provides two environments, **Test** (Sandbox) and **Live**, each with its own set of API keys. This separation allows you to safely explore and integrate with the platform before moving to production.

Use your **test API key** to simulate requests and validate your integration without triggering real verifications or incurring charges. Once you’re ready to process real checks, switch to your **live API key**.

Both API keys can be viewed and managed from the [API keys page](https://portal.complycube.com/developers) in the Web Portal.

### Sandbox

The **ComplyCube Sandbox** is a dedicated safe test environment that simulates the behavior, responses, and errors of the **live** environment.

{% hint style="info" %}
All [checks](/documentation/api-reference/core-resources/checks.md) conducted on the Sandbox will return dummy responses. Please refer to our [Testing](https://docs.complycube.com/documentation/useful-resources/testing-data) page to learn about **simulating specific test scenarios** as part of your integration.&#x20;
{% endhint %}

Use the Sandbox to validate key aspects of your implementation before going live, including:

* Network connectivity and authentication with the ComplyCube API.
* Proper formatting of API requests.
* Handling of successful and [error](/documentation/api-reference/errors.md) responses.
* Implementation and testing of [rate limits](/documentation/api-reference/rate-limits.md) and [service quota](/documentation/api-reference/service-quota.md) handling.
* Use of [pagination](/documentation/api-reference/pagination.md) and [filtering](/documentation/api-reference/filtering.md).
* Verification that [Webhooks](https://docs.complycube.com/documentation/guides/webhooks) are functioning as expected.

{% hint style="danger" %}
Do not send any confidential or operational data when using the Sandbox.
{% endhint %}

{% hint style="warning" %}
Data in our sandbox environment is periodically deleted.
{% endhint %}

### Live <a href="#go-live" id="go-live"></a>

Once your integration is tested and working as expected, you can [activate your live environment](https://portal.complycube.com/activate) through the Web Portal and begin running real verifications.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/sandbox-and-live.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
